Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 435983

Summary: Review Request: ocaml-gsl - Interface to GSL (GNU scientific library) for OCaml
Product: [Fedora] Fedora Reporter: Richard W.M. Jones <rjones>
Component: Package ReviewAssignee: Dan Horák <dan>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, notting
Target Milestone: ---Flags: dan: fedora-review+
tcallawa: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-04-25 19:08:34 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 433433    

Description Richard W.M. Jones 2008-03-04 19:02:39 UTC
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-gsl.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-gsl-0.6.0-2.fc9.src.rpm
Description: Interface to GSL (GNU scientific library) for OCaml

http://koji.fedoraproject.org/koji/taskinfo?taskID=491376

Comment 1 Richard W.M. Jones 2008-04-10 07:46:08 UTC
Please see also bug 433433 where there is a some (successful) testing
of this package.

Comment 2 Dan Horák 2008-04-25 13:06:37 UTC
OK	source files match upstream:
	    819d2f95f44cc4c331a4aa644f8d23704477de05  ocamlgsl-0.6.0.tar.gz
OK	package meets naming and versioning guidelines.
BAD	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible (GPLv2). License text included in package.
OK	latest version is being packaged.
BAD	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
N/A	debuginfo package looks complete.
OK	rpmlint is silent.
OK	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	scriptlets are present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.

notes
- typo on %description - langage => language
- mixed usage of $RPM_BUILD_ROOT and %{buildroot} in %install (info files)
- BR: gsl >= 1.9 should be removed as it will brought by gsl-devel

Comment 3 Richard W.M. Jones 2008-04-25 14:49:31 UTC
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-gsl.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-gsl-0.6.0-3.fc9.src.rpm

* Fri Apr 25 2008 Richard W.M. Jones <rjones@redhat.com> - 0.6.0-3
- Fixed typo in description.
- Mixed use of buildroot macro / RPM_BUILD_ROOT variable fixed.
- Remove BR gsl (brought in by gsl-devel, so unnecessary).


Comment 4 Dan Horák 2008-04-25 16:18:49 UTC
all issues fixed, so this package is APPROVED now

Comment 5 Richard W.M. Jones 2008-04-25 17:21:08 UTC
New Package CVS Request
=======================
Package Name: ocaml-gsl
Short Description: Interface to GSL (GNU scientific library) for OCaml
Owners: rjones
Branches: F-8 F-9 EL-4 EL-5
InitialCC: rjones
Cvsextras Commits: yes

Comment 6 Tom "spot" Callaway 2008-04-25 18:54:14 UTC
cvs done.

Comment 7 Richard W.M. Jones 2008-04-25 19:08:34 UTC
Building for all 5 branches now.